NamingRuleSet (Apache Tomcat 9.0.107 API Documentation)
Description: declaration: package: org.apache.catalina.startup, class: NamingRuleSet

# Class NamingRuleSet

java.lang.Object
org.apache.catalina.startup.NamingRuleSet

All Implemented Interfaces:
  `RuleSet`

public class NamingRuleSet extends Object implements RuleSet
RuleSet for processing the JNDI Enterprise Naming Context resource declaration elements.

Author:
  Craig R. McClanahan, Remy Maucherat

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final String`
  `prefix`
  The matching pattern prefix to use for recognizing our elements.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NamingRuleSet()`
  Construct an instance of this `RuleSet` with the default matching pattern prefix.
  `NamingRuleSet(String prefix)`
  Construct an instance of this `RuleSet` with the specified matching pattern prefix.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addRuleInstances(Digester digester)`
  Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### prefix

    protected final String prefix
    The matching pattern prefix to use for recognizing our elements.

- ## Constructor Details

  - ### NamingRuleSet

    public NamingRuleSet()
    Construct an instance of this `RuleSet` with the default matching pattern prefix.

  - ### NamingRuleSet

    public NamingRuleSet(String prefix)
    Construct an instance of this `RuleSet` with the specified matching pattern prefix.
    Parameters:
      `prefix` - Prefix for matching pattern rules (including the trailing slash character)

- ## Method Details

  - ### addRuleInstances

    public void addRuleInstances(Digester digester)
    Description copied from interface: `RuleSet`
    Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.
    Specified by:
      `addRuleInstances` in interface `RuleSet`
    Parameters:
      `digester` - Digester instance to which the new Rule instances should be added.